## org.eclipse.xsd.util
Class XSDResourceImpl.SchemaLocator

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.xsd.util.XSDResourceImpl.SchemaLocator

All Implemented Interfaces:
  Adapter, Adapter.Internal, XSDSchemaLocator

Enclosing class:
  XSDResourceImpl

    public static class XSDResourceImpl.SchemaLocator

extends AdapterImpl
implements XSDSchemaLocator

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`XSDResourceImpl.SchemaLocator()`

Method Summary
`boolean` `isAdapterForType(java.lang.Object type)`
`XSDSchema` `locateSchema(XSDSchema xsdSchema, java.lang.String namespaceURI, java.lang.String rawSchemaLocationURI, java.lang.String resolvedSchemaLocation)` Locate the schema for the given namespace.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, notifyChanged, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDResourceImpl.SchemaLocator

    public XSDResourceImpl.SchemaLocator()

Method Detail

### locateSchema

    public XSDSchema locateSchema(XSDSchema xsdSchema,
                                  java.lang.String namespaceURI,
                                  java.lang.String rawSchemaLocationURI,
                                  java.lang.String resolvedSchemaLocation)

  Description copied from interface: `XSDSchemaLocator`
  Locate the schema for the given namespace.

  Specified by:
    `locateSchema` in interface `XSDSchemaLocator`
  Parameters:
    `xsdSchema` - the schema containing the namespace reference.
    `namespaceURI` - the namespace being resolved, i.e., `XSDImport.getNamespace()`.
    `rawSchemaLocationURI` - the suggested location of the namespace being resolved, i.e., `XSDSchemaDirective.getSchemaLocation()`.
    `resolvedSchemaLocation` - the `resolved` suggested location of the namespace.
  Returns:
    the resolved schema.
  See Also:
    `XSDSchemaLocationResolver.resolveSchemaLocation(XSDSchema, String, String)`, `XSDConstants.resolveSchemaLocation(String,String,String)`

### isAdapterForType

    public boolean isAdapterForType(java.lang.Object type)

  Specified by:
    `isAdapterForType` in interface `Adapter`
  Overrides:
    `isAdapterForType` in class `AdapterImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.